errorMessage
  no configuration file or main class specified




groovy 오류메시지는 설정을 다 하기전까지 그다지 직관적이지 않다는데 좀 문제가 있어보인다.
하지만 몇번의 시행착오와 충분한 시간이 있다면 이런 뜬구름 잡는 메시지는  groovy를 깊게 이해할 수있게
하는 도구가 되어주는것 같다.


문제의 원인은 groovy 파일이 class 파일을 만들어 내지 못했다는 데서 출발한다.
class 파일을 못했다는것은 컴파일 되지 못했다는 뜻이며 컴파일이 못되었다는것은 현재 groovy 컴파일
버전에 문제가 있다는 이야기이다.


1. 지금 이클립스에서 컴파일 버전은 1.7로 되어있다. 버전을 1.6으로 변경해 보자! [switch to 1.6] 을 클릭한다.


모든 과정에 1.6이 절대 진리라 생각하지 않았으면 좋겠습니다. groovy의  converter 를 이용해서 변환을 했기 때문에 이런일을 하는것이지 만일 프로젝트를 groovy로 생성부터 하고 시작했다면 1.7로도 가능해지기 떄문입니다.  애써 groovy에서 버전을 이렇게 쉽게 바꾸도록 한 이유를 다시한번 생각해 봤으면 합니다.

새로운 버전에 목메여 새 버전 사용을 안하면 구닥다리 개발자라 취급하는 일부 관리자 분들이 있는데
그런분들은 제가 잘 압니다.  어줍잖하게 책 몇 권보고 애자일과  XP, 짝프로그램, 운운하시는 분들이죠. (실제 진행하신바는 겨우 프로파일링 정도?) 적어도 groovy를 찾아보실 정도면 여러분은 진정한 개발자 입니다. ^^



2. 이제  RunAs를 보면 조금 달라 진것을 볼 수 있다.  실행해서 결과를 보자?


3. 잘 나온다.



여기까지 했으면 이제 groovy를 개발 할 수 있습니다.
별로 어렵지 않은데 모르면 한참을 돌아가야 되는것 이오니 groovy  개발에 많이 도움이 되셨길 바랍니다.


저작자 표시 비영리 변경 금지
신고
크리에이티브 커먼즈 라이선스
Creative Commons License
이 저작물은 크리에이티브 커먼즈 코리아 저작자표시-비영리-동일조건변경허락 2.0 대한민국 라이선스에 따라 이용하실 수 있습니다.
1 ··· 19 20 21 22 23 24 25 26 27 ··· 256 

글 보관함

카운터

Total : 558,414 / Today : 12 / Yesterday : 147
get rsstistory!

티스토리 툴바